## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without check

Name:           tomlplusplus
Version:        3.4.0
Release:        %autorelease
Summary:        Header-only TOML config file parser and serializer for C++17
License:        MIT
URL:            https://github.com/marzer/tomlplusplus
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
# only test C locale
Patch0:         tomlplusplus-fix-test-locale.patch

BuildRequires:  gcc-c++
BuildRequires:  meson
BuildRequires:  cmake

%if 0%{?fedora} || 0%{?rhel} >= 9
BuildRequires:  catch2-devel
%else
BuildRequires:  catch-devel
%endif

%description
toml++ is a TOML config parser and serializer for c++.

- Header-only (optional!)
- Supports the latest [TOML] release ([v1.0.0]), plus optional support for some
unreleased TOML features
- Passes all tests in the [toml-test](https://github.com/BurntSushi/toml-test)
suite
- Supports serializing to JSON and YAML
- Proper UTF-8 handling (incl. BOM)
- C++17 (plus some C++20 features where available, e.g. experimental support for
[char8_t] strings)
- Doesn't require RTTI
- Works with or without exceptions
- Tested on Clang (6+), GCC (7+) and MSVC (VS2019)
- Tested on x64, x86 and ARM

%package        devel
Summary:        Development libraries and header files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1

# remove the third party libraries for testing
rm -r vendor/

%build
%meson \
    -Dbuild_examples=true \
    -Duse_vendored_libs=false \
%if %{with check}
    -Dbuild_tests=true \
%endif

%meson_build

%install
%meson_install

%if %{with check}
%check
%meson_test
%endif

%files
%license LICENSE
%doc README.md
%{_libdir}/libtomlplusplus.so.3*

%files devel
%{_includedir}/toml++/
%dir %{_libdir}/cmake/tomlplusplus
%{_libdir}/cmake/tomlplusplus/*.cmake
%{_libdir}/libtomlplusplus.so
%{_libdir}/pkgconfig/tomlplusplus.pc

%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Jun 25 2024 Michel Lind <salimma@fedoraproject.org> - 3.4.0-3
- Also use catch2-devel for the EL9 build

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Nov 28 2023 topazus <topazus@outlook.com> - 3.4.0-1
- update to 3.4.0

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jun 10 2023 topazus <topazus@outlook.com> - 3.3.0-3
- fix %%%%if 0%%{?fedora} condition on epel

* Thu Jun 01 2023 topazus <topazus@outlook.com> - 3.3.0-2
- fix for catch2 version

* Wed May 31 2023 topazus <topazus@outlook.com> - 3.3.0-1
- Initial import (RHBZ#2210624)
## END: Generated by rpmautospec
